Package com.smartgwt.client.types

# Enum ClickMaskMode

java.lang.Object
java.lang.Enum<ClickMaskMode>
com.smartgwt.client.types.ClickMaskMode

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ClickMaskMode>`, `Constable`

public enum ClickMaskMode extends Enum<ClickMaskMode> implements ValueEnum
Passed as a parameter to `Canvas.showClickMask()` to determine the masks behavior when clicked.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `HARD`
  When the mask receives a click, it will fire its click action, and cancel the event, leaving the clickMask up.
  `SOFT`
  When the mask receives a click, it will fire its click action, then dismiss the clickMask and allow the event to proceed to its target.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ClickMaskMode`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ClickMaskMode[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### HARD

    public static final ClickMaskMode HARD
    When the mask receives a click, it will fire its click action, and cancel the event, leaving the clickMask up.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "hard".

  - ### SOFT

    public static final ClickMaskMode SOFT
    When the mask receives a click, it will fire its click action, then dismiss the clickMask and allow the event to proceed to its target.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "soft".

- ## Method Details

  - ### values

    public static ClickMaskMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ClickMaskMode valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`